Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agent_runs.list_agent_runs(agent_id="<id>", limit=20, order="desc")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agentRuns.listAgentRuns({
agentId: "<id>",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.AgentRuns.ListAgentRunsAsync(
agentId: "<id>",
limit: 20,
order: ListAgentRunsOrder.Desc
);
// handle responsecurl --request GET \
--url https://apigw.mka1.com/api/v1/agents/{agent_id}/runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/agents/{agent_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "agent.run",
"id": "<string>",
"agent_id": "<string>",
"agent_version": 2,
"input": "<string>",
"conversation": "<string>",
"previous_response_id": "<string>",
"metadata": {},
"gateway_response_id": "<string>",
"gateway_response": "<string>",
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"first_id": "<string>",
"last_id": "<string>",
"has_more": true
}{
"error": {
"message": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"details": "<string>"
}
}Agent Runs
Lista de ejecuciones para un agente
GET
/
api
/
v1
/
agents
/
{agent_id}
/
runs
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agent_runs.list_agent_runs(agent_id="<id>", limit=20, order="desc")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agentRuns.listAgentRuns({
agentId: "<id>",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.AgentRuns.ListAgentRunsAsync(
agentId: "<id>",
limit: 20,
order: ListAgentRunsOrder.Desc
);
// handle responseAutorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Parámetros de ruta
Parámetros de consulta
Rango requerido:
1 <= x <= 100Opciones disponibles:
asc, desc ¿Esta página le ayudó?
⌘I